﻿@model IEnumerable<InsightHub.Web.Areas.Admin.Models.UserIndexViewModel>
@*@{
        ViewData["Title"] = "Index";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@

<h1>All active Users</h1>

@if (!Model.Any())
{
    <h2>No active users currently!</h2>
}
else
{

    <table class="table text-dark table-hover">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Id)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.UserName)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Id)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.UserName)
                    </td>
                    <td>
                        <a asp-area="Admin" asp-action="Details" asp-route-id="@item.Id" class="btn btn-outline-primary">Details</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}
